# coding: utf-8

###############################################################################
#
# 2018/01/18
#
# Third_Program
#
# 国コードを読み取り、対応する国名をファイルに吐き出すプログラム
#
# @Author Kyosuke Shimada
###############################################################################


import re
import codecs
import os
import linecache

os.chdir('..')
dic = os.getcwd()
readCC = codecs.open(dic+'/DATA/CC.txt', 'r', "utf_8_sig")

wkuniName = codecs.open(dic+'/DATA/CountryName.txt', 'w', "utf_8_sig")

line = readCC.readline().rstrip('\r\n')

while line :
    readKuni = codecs.open(dic+'/Refer/CcToName.txt', 'r', "utf_8_sig")
    kuniline = readKuni.readline().rstrip('\r\n')
    if line == "LOCAL" :
        wkuniName.write("LOCAL")
        wkuniName.write("\n")
    elif line == "Request Denied" :
        wkuniName.write("Unknown")
        wkuniName.write("\n")
    elif line == "Don't know" :
        wkuniName.write("Unknown")
        wkuniName.write("\n")
    else :
        while kuniline :

            if  re.search('(?<![a-zA-Z0-9])[A-Z]{2}(?![a-zA-Z0-9])' , kuniline).group()  in line :
                wkuniName.write(re.search('[一-龥ぁ-んァ-ヶー・＝、\(\)]{2,100}' , kuniline).group())
                wkuniName.write("\n")
            kuniline = readKuni.readline().rstrip('\r\n')

    readKuni.close

    line = readCC.readline().rstrip('\r\n')



readCC.close
wkuniName.close
