# -*- encoding: utf-8 -*-

###############################################################################
#
# 2018/01/20
#
# Sixth_Program
#
# サービスとパケット数を結合して、Excelで処理しやすくするプログラム
#
# @Author Kyosuke Shimada
###############################################################################

import re
import codecs
import os
import datetime
import csv

os.chdir('..')
dic = os.getcwd()
rserve =   codecs.open(dic+'/DATA/service.txt' , 'r', "utf_8_sig")
rnumber =  codecs.open(dic+'/DATA/serNum.txt' , 'r', "utf_8_sig")
wfile = codecs.open(dic+'/Result/SERVICE.csv' , 'w', "utf_8_sig")

sline = rserve.readline().rstrip('\r\n')
nline = rnumber.readline().rstrip('\r\n')

while sline :
    if ("mdns" in sline) or ("netbios" in sline) or ("bootps" in sline) or ("domain" in sline) or ("52217" in sline) or ("db-lsp-disc" in sline):
        nline = rnumber.readline().rstrip('\r\n')
        sline = rserve.readline().rstrip('\r\n')
        continue
    wfile.write(sline+','+nline)
    wfile.write("\n")
    nline = rnumber.readline().rstrip('\r\n')
    sline = rserve.readline().rstrip('\r\n')

rserve.close
rnumber.close
wfile.close
